export const name = 'copy';

export function callback(e, domState) {
    e.preventDefault();
    domState.onSelectionChange();
    const copiedText = domState.state.getSelectedText();
    if (!e.clipboardData) {
        return;
    }
    e.clipboardData.setData('text/plain', copiedText);
}
