import {SUPPORT_BEFOREINPUT_EVENT, SUPPORT_TEXTINPUT_EVENT, SPACEBAR_CHAR} from '../constants/env';

export const name = 'textInput';

export function callback(e, domState) {
    // console.log('textInput', e);
    e.preventDefault();
    const chars = e.data;

    if (chars === SPACEBAR_CHAR && domState.hasSpaceKeypress) {
        domState.hasSpaceKeypress = false;
        return;
    }

    domState.onInsertText(chars);
}

export const NOT_BIND = SUPPORT_BEFOREINPUT_EVENT || !SUPPORT_TEXTINPUT_EVENT;
