import Popconfirm from './src/popconfirm';
import createPopperDirective from '../popper/src/create-popper-directive';

const PopconfirmDirective = createPopperDirective('VPopconfirm', 'click');
/* istanbul ignore next */
Popconfirm.install = function (Vue) {
    Vue.component(Popconfirm.name, Popconfirm);
    Vue.directive('popconfirm', PopconfirmDirective);
};

Popconfirm.directive = PopconfirmDirective;

export default Popconfirm;
