import Popper from './src/popper.vue';
import popperDiretive from './src/popper-directive';
import createPopperDirective from './src/create-popper-directive';

/* istanbul ignore next */
Popper.install = function (Vue) {
    Vue.component(Popper.name, Popper);
    Vue.directive('popper', popperDiretive);
};
Popper.directive = popperDiretive;
Popper.createPopperDirective = createPopperDirective;

export default Popper;
