/**
 * v-popper directive
 *
 * Usage:
 *  v-popper.show="somePopper"
 *  v-popper.hover="somePopper"
 *  v-popper.hover.delay="somePopper"
 *  v-popper.hover.delay1000="somePopper"
 *  v-popper.click="somePopper"
 *  v-popper.focus="somePopper"
 *
 *  v-popper:somePopper.show
 *  v-popper:somePopper.hover
 *  v-popper:somePopper.click
 *  v-popper:somePopper.focus
 *  v-popper:somePopper.show="data"
 *  v-popper:somePopper.hover="data"
 *  v-popper:somePopper.click="data"
 *  v-popper:somePopper.focus="data"
 */
import createPopperDirective from './create-popper-directive';
export default createPopperDirective('VPopper');
