import Popselect from './src/popselect';
import createPopperDirective from '../popper/src/create-popper-directive';

const PopperDirective = createPopperDirective('VPopselect');

/* istanbul ignore next */
Popselect.install = function (Vue) {
    Vue.component(Popselect.name, Popselect);
    Vue.directive('popselect', PopperDirective);
};

Popselect.directive = PopperDirective;

export default Popselect;
