import Contextmenu from './src/contextmenu';
import createContextmenuDirective from './src/create-contextmenu-directive';

const directive = createContextmenuDirective('v-contextmenu');
/* istanbul ignore next */
Contextmenu.install = function (Vue) {
    Vue.component(Contextmenu.name, Contextmenu);
    Vue.directive('contextmenu', directive);
};

Contextmenu.directive = directive;

export default Contextmenu;
