// import getHtmlFromNativePaste from '../../util/get-html-from-native-paste';

export const name = 'paste';

export function callback(e, domState) {
    e.preventDefault();
    // Get pasted data via clipboard API
    const clipboardData = e.clipboardData || window.clipboardData;
    try {
        const pastedData = clipboardData.getData('Text');
        domState.onPaste(pastedData);
    }
    catch (e) {}
}
