import Form from './src/form';
import FormItem from './src/form-item';
import FormInput from './src/form-input';
import FormInputMixin from './src/inputMixin';
import Validator from './src/Validator';

/* istanbul ignore next */
Form.install = function (Vue) {
    Vue.component(Form.name, Form);
    Vue.component(FormItem.name, FormItem);
    Vue.component(FormInput.name, FormInput);
};
Form.FormItem = FormItem;
Form.FormInput = FormInput;
Form.FormInputMixin = FormInputMixin;
Form.addRule = Validator.addRule;

export default Form;
