export default {
    provide: {
        vformItem: null
    },
    inject: {
        vformItem: {
            default: null
        }
    },
    data() {
        return {
            invalid: false
        };
    },
    created() {
        if (this.vformItem && this.vformItem.$options.name === 'VFormItem') {
            this.vformItem.addInputComponent(this);
        }
    },
    beforeDestroy() {
        if (this.vformItem && this.vformItem.$options.name === 'VFormItem') {
            this.vformItem.removeInputComponent(this);
        }
    }
};
