import Popmenu from './src/popmenu';
import createPopperDirective from '../popper/src/create-popper-directive';

const PopperDirective = createPopperDirective('VPopmenu');
/* istanbul ignore next */
Popmenu.install = function (Vue) {
    Vue.component(Popmenu.name, Popmenu);
    Vue.directive('popmenu', PopperDirective);
};

Popmenu.directive = PopperDirective;

export default Popmenu;
