/**
 * v-sticky directive
 *
 * Usage:
 * add v-sticky to target node
 */
import util from './util';
export default {
    name: 'sticky',
    inserted(el, binding, vnode) {
        const context = vnode.context;
        // const parentRef = binding.arg;
        // const parent = context.$refs[parentRef];

        // if (!parentRef || !parent) {
        //     return;
        // }

        util.bind(el);
    },

    unbind(el) {
        util.unbind(el);
    }
};
